//////////////////////////////////////////////
//                                          //
// project  : mVISIO v0.1a                  //
// file     : mvisio_textfield.H				  //
// author   : Achille Peternier             // 
// copyright: EPFL (C) 2005                 //
//												        //
//////////////////////////////////////////////



///////////////////////
// CLASS MVTEXTFIELD //
///////////////////////

/////////////////////////////////////////////////////////////////////
typedef class MV_API MVTEXTFIELD : public MVBUTTON // Textfield 2D //
/////////////////////////////////////////////////////////////////////
{
/////////////
	public: //
/////////////

	// Const/Dest:
	MVTEXTFIELD();
	~MVTEXTFIELD();	
	
	// Editing:
	inline void clear()										{ strcpy(caption, ""); }
	bool manageKey(char key);	
	
	// Rendering:
	bool render(void *data = NULL);

////////////////
	protected: //
////////////////	

	// Data:
	bool cursor;
	float blinker;
} MVTEXTFIELD; // Textfield 2D
