//////////////////////////////////////////////
//                                          //
// project  : mVISIO v0.1a                  //
// file     : mvisio_label.H					  //
// author   : Achille Peternier             // 
// copyright: EPFL (C) 2005                 //
//												        //
//////////////////////////////////////////////



/////////////
// #DEFINE //
/////////////

   // Limits:
   #define MV_MAXNUMBEROFCHARSPERLABEL 256
   


///////////////////
// CLASS MVLABEL //
///////////////////

//////////////////////////////////////////////////////////
typedef class MV_API MVLABEL : public MVBOX // Label 2D //
//////////////////////////////////////////////////////////
{
/////////////
	public: //
/////////////

	// Const/Dest:
	MVLABEL();
	~MVLABEL();		
	
	// Settings:	
	inline void setFont(MVFONT *font)							{ this->font = font; }
	
	// Text editor:	
	bool write(char *t, ...);	
	bool format();
	
	// Management:
	bool setForemost(long newForemostTimeStamp);
	
	// Rendering:
	bool render(void *data = NULL);

//////////////
	private: //
//////////////

	// Data:			
	char text[MV_MAXNUMBEROFCHARSPERLABEL];
	MVFONT *font;
} MVLABEL; // Label
